aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/build-all.sh1
-rw-r--r--hw/fireflies/arch2
-rwxr-xr-xmake4
3 files changed, 4 insertions, 3 deletions
diff --git a/bin/build-all.sh b/bin/build-all.sh
index 2d443a5..ac8ea98 100755
--- a/bin/build-all.sh
+++ b/bin/build-all.sh
@@ -66,4 +66,5 @@ echo "===== $PASS builds succeeded, $FAIL failed ====="
#echo "PASS: $PASSED"
if [ 0 != $FAIL ]; then
echo "FAIL:$FAILED"
+ exit 1
fi
diff --git a/hw/fireflies/arch b/hw/fireflies/arch
index d16b0f8..dcd026a 100644
--- a/hw/fireflies/arch
+++ b/hw/fireflies/arch
@@ -1 +1 @@
-attiny85
+attiny69
diff --git a/make b/make
index 8d3d801..89e196d 100755
--- a/make
+++ b/make
@@ -59,7 +59,7 @@ function main() {
;;
dfp)
shift
- ./bin/dfp-install.sh "$@"
+ exec ./bin/dfp-install.sh "$@"
;;
docs)
make-docs
@@ -79,7 +79,7 @@ function main() {
grep -E 'TODO:|FIXME:' **/*.[ch]
;;
*)
- ./bin/build-all.sh "$@"
+ exec ./bin/build-all.sh "$@"
;;
esac
}